/**
 * Copyright (C) 2008 Gauvain Pocentek <gpocentek@linutop.com>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __LUSBCLEAN_H__
#define __LUSBCLEAN_H__

#include <stdio.h>
#include <gtk/gtk.h>

#include <libhal.h>
#include <libhal-storage.h>

GList *get_valid_devices();
LibHalContext *hal_init ();
void hal_shutdown (LibHalContext *ctx);
char *get_vendor_str (LibHalContext *ctx, const char *dev);

#endif              /* __LUSBCLEAN_H__ */

